| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Digikam::Haar::ImageData Class Reference

## Public Member Functions
void | fillPixelData (const DImg &image)
| Write pixels of a DImg in three arrays (one per color channel, pixels linearly)
void | fillPixelData (const QImage &image)
| Write pixels of a QImage in three arrays (one per color channel, pixels linearly)

## Public Attributes
Unit | data1 [NumberOfPixelsSquared] = { 0.0 }
Unit | data2 [NumberOfPixelsSquared] = { 0.0 }
Unit | data3 [NumberOfPixelsSquared] = { 0.0 }